Subject: Amazon purchase
From: Debra J Hirsch <[email-masked]>
To: [email-masked]
Date: Thu, 17 Jul 2025 17:20:11 -0500

Amazon is no longer providing copies of invoices for products sold on orders that contain multiple items.  They are stating that I need to contact the seller who shipped the item for a copy of the invoice.  You were the seller on an item I purchased and I need the invoice for it.  They are just making things harder for their customers to do their bookkeeping as we no longer can see the dates that charges were made and the final amounts.  I have complained to them.  If you sell a lot of product through them you may also want to complain as other customers may start contacting you for their invoices.  This change just occurred recently.  Complaints all over the internet but I doubt Amazon will fix it unless people contact Amazon directly about the problem.

It was for my Amazon order #112-8840551-2264217 for a Madison Park Quebec Split Corner Quilted Bedspread.  

Item delivered to Debra J. Hirsch, 10628 Double Spur Loop, Austin, Texas 78759, product delivered on June 27, 2025.  

Thank you.
____________________________
Debbie Hirsch
[email-masked]
Austin, Texas